Skip to main content
POST
Create Business Customer V2

Important Requirements

  • Email Address: Must be all lowercase or you will receive a validation error
  • RELIANCE Verification: If you attempt to use RELIANCE verification type but it’s not enabled for your client, you will receive a 423 error with message: “RELIANCE is not available for your client”
  • Non-ASCII characters: If any input field contains non-ASCII characters, you must provide a transliterated (Latin) value in the corresponding _en field (e.g., legal_name_en, street_line_1_en, first_name_en)
  • Third-party Fund Usage: The third_party_fund_usage field indicates whether this customer will be moving other people’s money
  • Ownership Percentages: The total ownership percentages of all associated parties must add up to more than 0 and less than 100
  • Reference Data: purpose_id, source_of_fund_ids and source_of_wealth_ids are integer foreign keys — fetch valid values from List Account Purposes , List Source of Funds and List Source of Wealth
  • subdivision_code: Pass the ISO 3166-2 code. For example for CA, pass US-CA.

Authorizations

Authorization
string
header
required

Bearer token authentication. Obtain token from Issue a Token endpoint

Body

application/json
verification_type
enum<string>
required

Verification level. Defaults to STANDARD if omitted. RELIANCE must be explicitly enabled for your client.

Available options:
STANDARD,
RELIANCE
Example:

"STANDARD"

industry_codes
string[]
required

NAICS 2022 6-digit industry codes. Min 1 item. See the full list at Business-industry-codes.

Minimum array length: 1
Example:
basic_info
object
required
financial_profile
object
required
addresses
object
required
associated_parties
object[]
required

UBOs (≥25% ownership), directors, and authorized signatories. Min 1 item required.

Minimum array length: 1
holding_structure
object
public_listings
object[]

Stock exchange listings. Required for publicly traded companies.

compliance
object
meta_data
object

Client-defined key-value metadata for internal tracking.

Response

Business customer created successfully

customer_id
string<uuid>

Unique identifier for the created customer

Example:

"ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06"

tos_policies_url
string<uri>

URL for customer to accept Terms of Service. Parse the tos_policies_value query parameter and pass it when attaching business documents.

Example:

"https://orchestration.fin.com/orchestration-customer-tos?customer_id=ed54db74-7dbe-47d2-8ea0-c2bf2a9dda06&tos_policies_value=6955e70b-f9f3-4076-b1ce-5c897085dd24"